Subject: [TR] Two good vender experiences.

From: Bud Rolofson <[email-masked]>
Date: Mon, 25 Jan 2021 11:30:01 -0700

Listerati,

I wanted to share two good experiences I had just lately with a British Car business here in Colorado and one in the UK.

I recently queried the list about my Spitfire overheating at highway speeds, I got a lot of suggestions (thanks to all) and it turned out to be a bad vacuum advance unit on the stock and original delco remy distributor. I visited Sportswear Craftsman in Arvada CO and Paul Dierschow the owner pulled a box of distributors from his vast collection (and organized in huge storage containers) of British car parts with the type of advance unit I needed. He let me chose one I tested as good, unscrewed it from the distributor and then gave it to me for free. No charge for his time in digging out a dozen dizzies or for the part. I have been a long time customer but still I thought it worth a shout out.

The other vender is ClassicCarbs in the UK. I had bought a set of mesh/gauze air filters for my weber carbs but there was some confusion as to the definition of what a gauze filter means. They meant gauze metal screen and I was thinking cloth/paper type gauze filtering material. Although I was outside the return time they graciously let me return them. I had to pay half the return shipping but I got a full refund. They were very open to discussing the issue and deserve credit for meeting me half way.

I complain plenty when I’ve felt unfair treatment by a vendor so I wanted to make mention when things go right too.

Thanks
Bud Rolofson

Extreme Parts Racing (more than just a haircut)

71TR6 CC57365 (Good 6)
71 Spitfire MK IV Race Car #3
69 Spitfire MK III (back up FE engine/dinghy car)
93 Minnie Winnie Race Support Vehicle 
77 Z-50A Hardly Davidson Honda Mini-Trail Bike (Triumph Pit Bike)

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]